<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
/**
 *
 * Field: Groupmu
 *
 * @since 1.0.0
 * @version 1.0.0
 *
 */
class CSFramework_Option_groupmu extends CSFramework_Options {

  public function __construct( $field, $value = '', $unique = '' ) {
    parent::__construct( $field, $value, $unique );
  }


  public function output() {

    echo $this->element_before();

    $last_array_id    = ( is_array( $this->value ) ) ? count( $this->value ) : 0;
    $accordion_title  = ( isset( $this->field['accordion_title'] ) ) ? $this->field['accordion_title'] : __( 'Adding', CS_TEXTDOMAIN );


    echo '<div class="hidden cs-hidden-groups">';
    foreach ($this->field['groups'] as $key => $mugroup) {
      echo '<div id="'.$mugroup['id'].'" class="cs-group">';

        echo '<h4 class="cs-group-title">'. $mugroup['accordion_title'] .'</h4>';
        echo '<div class="cs-group-content">';
        foreach ( $this->field['groups'][$key]['fields'] as $field_key => $field ) {
          $field['sub']   = true;
          // $unique         = $this->unique .'[_nonce]['. $this->field['id'] .']['. $this->field['groups'][$key]['id'] .']['. $last_array_id .']';
          $unique         = $this->unique .'[_nonce]['. $this->field['id'] .']['. $last_array_id .']';
          $field_default  = ( isset( $field['default'] ) ) ? $field['default'] : '';
          echo cs_add_element( $field, $field_default, $unique );
        }
        echo '<input type="hidden" name="'.$unique.'[group]" value="'. $this->field['groups'][$key]['id'] .'" >';
        echo '<div class="cs-element cs-text-right"><a href="#" class="button cs-warning-primary cs-remove-group">'. __( 'Remove', CS_TEXTDOMAIN ) .'</a></div>';
        echo '</div>';

      echo '</div>'; // end hidden group
    }
    echo '</div>';  // end groups


    if( ! empty( $this->value ) ) {
      echo '<div class="mu-button-group mu-button-group-top">';
      foreach ($this->field['buttons'] as $key => $mubutton) {
        if ( isset( $this->field['groups'][$mubutton['group']] ) ) {
          echo '<a href="#" data-mugroup="'.$mubutton['group'].'" class="button button-primary cs-add-group-mu">'. $mubutton['button_title'] .'</a>';
        }
      }
      echo '</div>';  // end mu-button-group
    }


    echo '<div class="cs-groups-mu cs-mu-accordion">';

      if( ! empty( $this->value ) ) {

        foreach ( $this->value as $groupkey => $groupvalue ) {


          if ( isset( $this->field['groups'][$groupvalue['group']] ) ) {
            
            // $title = $this->groupvalue[$groupkey][$this->field['fields'][0]['id']];
            $title = $this->field['groups'][$groupvalue['group']]['accordion_title'];


            echo '<div class="cs-group">';
            // echo '<h4 class="cs-group-title">'. $this->field['fields'][0]['title'] .': '. $title .'</h4>';
            echo '<h4 class="cs-group-title">'. $title .'</h4>';
            echo '<div class="cs-group-content">';


              foreach ( $this->field['groups'][$groupvalue['group']]['fields'] as $field_key => $field ) {
                $field['sub'] = true;
                $unique = $this->unique . '[' . $this->field['id'] . ']['.$groupkey.']';
                // $myunique = $this->unique . '[' . $this->field['id'] . ']['.$groupkey.']';
                $value  = isset($this->value[$groupkey][$field['id']]) ? $this->value[$groupkey][$field['id']]:'';
                echo cs_add_element( $field, $value, $unique );
                
              }
              echo '<input type="hidden" name="'.$this->unique . '[' . $this->field['id'] . ']['.$groupkey.']'.'[group]" value="'. $groupvalue['group'] .'" >';


            echo '<div class="cs-element cs-text-right"><a href="#" class="button cs-warning-primary cs-remove-group">'. __( 'Remove', CS_TEXTDOMAIN ) .'</a></div>';
            echo '</div>';
            echo '</div>';
          }

        }// foreach ( $this->value as $key => $value ) {

      }// if( ! empty( $this->value ) ) {

    echo '</div>';  // end groups

    echo '<div class="mu-button-group mu-button-group-bottom">';
    foreach ($this->field['buttons'] as $key => $mubutton) {
      if ( isset( $this->field['groups'][$mubutton['group']] ) ) {
        echo '<a href="#" data-mugroup="'.$mubutton['group'].'" class="button button-primary cs-add-group-mu">'. $mubutton['button_title'] .'</a>';
      }
    }
    echo '</div>';  // end mu-button-group



    // echo "<pre dir='ltr'>";
    // print_r($this->field);
    // print_r($this->value);
    // echo "</pre>";
    

    echo $this->element_after();

  }

}
