<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the "site-content" div and all content after.
 *
 * @package WordPress
 */
?>

    <div id="footer">
        
        <?php get_template_part('misc/contact' , 'bar'); ?>

        <div class="footer-columns wow fadeInUp"  data-wow-duration="1s">
            <div class="container">
                
                <div class="row clearfix">
                    

                    <div class="col-md-3">
                        <div class="widget widget-about text-center">
                            <p>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/logo.png" alt="">
                            </p>
                            <p></p>
                            <?php if (cs_get_option( 'footer_desc' )): ?>
                                <div>
                                    <?php echo cs_get_option( 'footer_desc' ); ?>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div><!--end of column-->
                    

                    <div class="col-md-3">
                        <div class="widget widget-list">
                            <?php wp_nav_menu( array( 
                                'theme_location'    => 'footer-a' ,
                                'container'         => '' ,
                                'container_id'      => 'menu-primary' ,
                                'container_class'   => 'menu' ,
                                'menu_id'           => 'menu-primary-ul' ,
                                'menu_class'        => '' ,
                            )); 
                            ?>
                        </div>
                    </div><!--end of column-->
                    

                    <div class="col-md-3">
                        <div class="widget widget-list-social">
                            <?php if (cs_get_option( 'social_networks_group' )): ?>
                                <ul>
                                    <?php foreach (cs_get_option( 'social_networks_group' ) as $key => $website): ?>
                                        <li>
                                            <a href="<?php echo $website['social_networks_url'] ?>" title="<?php echo $website['social_networks_title'] ?>">
                                                <?php if ($website['social_networks_icon']): ?>
                                                    <i class="<?php echo $website['social_networks_icon']; ?>"></i>
                                                <?php endif ?>
                                                <span><?php echo $website['social_networks_title'] ?></span>
                                            </a>
                                        </li>
                                    <?php endforeach ?>
                                </ul>
                            <?php endif ?>
                        </div>
                    </div><!--end of column-->
                    

                    <div class="col-md-3">
                        <div class="widget widget-email-list">
                            <h3><?php echo cs_get_option( 'email_list_title' ); ?></h3>
                            <p></p>
                            <div>
                                <?php echo cs_get_option( 'email_list_desc' ); ?>
                            </div>
                            <form class="email_form cf" id="email_form" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo cs_get_option( 'email_list_ID' ); ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
                                <span><i class="fa fa-envelope-o"></i></span>
                                <input class="form-control" type="text" name="email" placeholder="بريدك الألكترونى .. ">

                                <input type="hidden" value="<?php echo cs_get_option( 'email_list_ID' ); ?>" name="uri">
                                <input type="hidden" name="loc" value="en_US">   
                                <button class="btn btn-primary hfont" name="submit"><i class="fa fa-paper-plane"></i></button>
                            </form>

                        </div>
                    </div><!--end of column-->

                </div><!--end of row-->

            </div><!--end of container-->
        </div><!--end of footer-columns-->

    </div><!--end of footer-->

    <footer id="bottombar">
        <div class="container clearfix">
            <p class="copy pull-right">
                جميع الحقوق محفوظه
            </p>
            <?php wp_nav_menu( array( 
                'theme_location'    => 'footer' ,
                'container'         => '' ,
                'container_id'      => 'menu-primary' ,
                'container_class'   => 'menu' ,
                'menu_id'           => 'menu-primary-ul' ,
                'menu_class'        => 'list-inline pull-left' ,
            )); 
            ?>
        </div>
    </footer>

</div><!--end of wrap-->
<?php wp_footer(); ?>
</body>
</html>


<!--Start of Tawk.to Script-->
<script type="text/javascript">
var $_Tawk_API={},$_Tawk_LoadStart=new Date();
(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/55412823108e17b0186c80cc/default';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
})();
</script>
<!--End of Tawk.to Script-->