<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--[if lt IE 9]>
    <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/js/html5.js"></script>
    <![endif]-->
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="wrap">

    <nav id="topbar" class="wow fadeInDown" data-wow-duration="1s">
        <div class="container">
            <ul class="qinfo list-inline">
                <li><span><i class="fa fa-envelope-o"></i> <?php echo cs_get_option( 'general_email' ) ?></span></li>
                <li><span><i class="fa fa-mobile"></i> <?php echo cs_get_option( 'general_mobile' ) ?></span></li>
            </ul>

            <?php if (cs_get_option( 'social_networks_group' )): ?>
                <ul class="social list-inline">
                    <?php foreach (cs_get_option( 'social_networks_group' ) as $key => $website): ?>
                        <li>
                            <a href="<?php echo $website['social_networks_url'] ?>" title="<?php echo $website['social_networks_title'] ?>">
                            <?php if ($website['social_networks_icon']): ?>
                                <i class="<?php echo $website['social_networks_icon']; ?>"></i></a>
                            <?php endif ?>
                        </li>
                    <?php endforeach ?>
                </ul>
            <?php endif ?>

        </div><!--end of container-->
    </nav><!--end of topbar-->

    <nav id="navbar" class="navbar navbar-default navbar-inverse wow fadeInDown" data-wow-duration="1s">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo( 'name' ); ?>">
                    <?php bloginfo( 'name' ); ?>
                </a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="navbar-collapse">

                <?php wp_nav_menu( array( 
                    'theme_location'    => 'primary' ,
                    'container'         => '' ,
                    'container_id'      => 'menu-primary' ,
                    'container_class'   => 'menu' ,
                    'menu_id'           => 'menu-primary-ul' ,
                    'menu_class'        => 'nav navbar-nav navbar-left' ,
                    'walker'            => new wp_bootstrap_navwalker()
                )); 
                ?>
            </div><!-- /.navbar-collapse -->
        </div><!-- /.container-fluid -->
    </nav>