<?php
// featured
// cores
// disksize
// bandwidth
// memorysize
// speed
// ips
// os
// setupcost
// delcost
// controlpanel
// rootcab
// onliepercent
// protectcost
// reserveurl

add_filter( 'rwmb_meta_boxes', 'vps_register_meta_boxes' );

function vps_register_meta_boxes( $meta_boxes )
{

	$prefix = 'vps_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'serv-vps',
		'title'      => __( 'خيارات خطة vps', 'meta-box' ),
		'post_types' => array( 'plan'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'        => __( 'مميز:', 'meta-box' ),
				'id'          => "{$prefix}featured",
				'type'        => 'select',
				'options'     => array(
					'0' 	=> __( 'لا'  , 'meta-box' ),
					'20%' 	=> __( '20%', 'meta-box' ),
					'40%' 	=> __( '40%', 'meta-box' ),
					'60%' 	=> __( '60%', 'meta-box' ),
					'80%' 	=> __( '80%', 'meta-box' ),
					'100%' 	=> __( '100%', 'meta-box' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => __( '', 'meta-box' ),
			),
			array(
				'name'       => __( 'عدد المعالجات : ', 'meta-box' ),
				'id'         => "{$prefix}cores",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( 'معالج', 'meta-box' ),
				'js_options' => array(
					'min'  => 0,
					'max'  => 50,
					'step' => 1,
				),
			),
			array(
				'name'       => __( 'مساحة القرص :', 'meta-box' ),
				'id'         => "{$prefix}disksize",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( 'جيجا', 'meta-box' ),
				'js_options' => array(
					'min'  => 0,
					'max'  => 10000,
					'step' => 100,
				),
			),
			array(
				'name'       => __( 'كمية نقل البيانات:', 'meta-box' ),
				'id'         => "{$prefix}bandwidth",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( 'جيجا', 'meta-box' ),
				'js_options' => array(
					'min'  => 0,
					'max'  => 10000,
					'step' => 100,
				),
			),
			array(
				'name'       => __( 'مساحة الذاكرة:', 'meta-box' ),
				'id'         => "{$prefix}memorysize",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( 'جيجا', 'meta-box' ),
				'js_options' => array(
					'min'  => 0,
					'max'  => 500,
					'step' => 1,
				),
			),
			array(
				'name'       => __( 'سرعة خط الإتصال :', 'meta-box' ),
				'id'         => "{$prefix}speed",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( 'ميجا', 'meta-box' ),
				'js_options' => array(
					'min'  => 0,
					'max'  => 800,
					'step' => 10,
				),
			),
			array(
				'name'       => __( 'عدد الأيبهات:', 'meta-box' ),
				'id'         => "{$prefix}ips",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( 'ميجا', 'meta-box' ),
				'js_options' => array(
					'min'  => 1,
					'max'  => 100,
					'step' => 1,
				),
			),
			array(
				'name'  => __( 'نظام التشغيل:', 'meta-box' ),
				'id'    => "{$prefix}os",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'تكلفة الاعداد:', 'meta-box' ),
				'id'    => "{$prefix}setupcost",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'تكلفة النقل:', 'meta-box' ),
				'id'    => "{$prefix}delcost",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'لوحة التحكم:', 'meta-box' ),
				'id'    => "{$prefix}controlpanel",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'صلاحيات السيرفر:', 'meta-box' ),
				'id'    => "{$prefix}rootcab",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( 'cpanel', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'       => __( 'نسبة تواجد الخادم:', 'meta-box' ),
				'id'         => "{$prefix}onliepercent",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( '%', 'meta-box' ),
				'js_options' => array(
					'min'  => 1,
					'max'  => 100,
					'step' => 1,
				),
			),
			array(
				'name'  => __( 'اعدادات الحماية:', 'meta-box' ),
				'id'    => "{$prefix}protectcost",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'رابط الحجز:', 'meta-box' ),
				'id'    => "{$prefix}reserveurl",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( 'http://serv5.com', 'meta-box' ),
				// 'clone' => true,
			),
		)
	);

	return $meta_boxes;
}