<?php

add_action( 'init', 'prefix_bank_register_post_types' );

function prefix_bank_register_post_types() {

	/* Register the bank  post type. */

	register_post_type(
		'bank',
		array(
			'description'         => '',
			'public'              => false,
			'publicly_queryable'  => true,
			'show_in_nav_menus'   => false,
			'show_in_admin_bar'   => false,
			'exclude_from_search' => true,
			'show_ui'             => true,
			'show_in_menu'        => true,
			'menu_position'       => 20,
			'menu_icon'           => 'dashicons-portfolio',
			'can_export'          => true,
			'delete_with_user'    => false,
			'hierarchical'        => true,
			'has_archive'         => 'bank',
			'query_var'           => 'bank',


			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'       => 'bank',
				'with_front' => false,
				'pages'      => true,
				'feeds'      => true,
				'ep_mask'    => EP_PERMALINK,
			),

			/* What features the post type supports. */
			'supports' => array(
				'title',
				// 'editor',
				// 'excerpt',
				// 'author',
				// 'thumbnail'
			),

			/* Labels used when displaying the posts. */
			'labels' => array(
				'name'               => __( 'البنوك',                   'serv-domain' ),
				'singular_name'      => __( 'بنك',                    	'serv-domain' ),
				'menu_name'          => __( 'البنوك',                   'serv-domain' ),
				'name_admin_bar'     => __( 'البنوك ',          		'serv-domain' ),
				'add_new'            => __( 'اضافه جديد',                    	'serv-domain' ),
				'add_new_item'       => __( 'اضافه جديد',            			'serv-domain' ),
				'edit_item'          => __( 'تعديل',               			'serv-domain' ),
				'new_item'           => __( 'جديد',                			'serv-domain' ),
				'view_item'          => __( 'عرض',               			'serv-domain' ),
				'search_items'       => __( 'بحث',            				'serv-domain' ),
				'not_found'          => __( 'لا يوجد',          				'serv-domain' ),
				'not_found_in_trash' => __( 'لا يوجد فى سلة المحذوفات', 			'serv-domain' ),
				'all_items'          => __( 'البنوك',                   'serv-domain' ),
			)
		)
	);
}
