<?php
/*-----------------------------------------------------------------------------------*/
# 
/*-----------------------------------------------------------------------------------*/

add_filter( 'rwmb_meta_boxes', 'features_with_text_page_sections_register_meta_boxes' );

function features_with_text_page_sections_register_meta_boxes( $meta_boxes )
{

	$prefix = 'features_with_text_page_section_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'features-with-text',
		'title'      => __( 'المميزات + عنوان + فقره نصيه', 'meta-box' ),
		'post_types' => array( 'service'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'  => __( 'العنوان:', 'meta-box' ),
				'id'    => "{$prefix}title",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'    => __( 'المحتوى النصى', 'meta-box' ),
				'id'      => "{$prefix}content",
				'type'    => 'wysiwyg',
				// Set the 'raw' parameter to TRUE to prevent data being passed through wpautop() on save
				'raw'     => false,
				'std'     => __( '', 'meta-box' ),
				// Editor settings, see wp_editor() function: look4wp.com/wp_editor
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => true,
					'media_buttons' => false,
				),
			),
			array(
				'type' => 'divider',
				'id'   => 'fake_divider_id', // Not used, but needed
			),
			array(
				'type' => 'divider',
				'id'   => 'fake_divider_id', // Not used, but needed
			),
			array(
				'name'        => __( 'المميزات', 'meta-box' ),
				'id'          => "{$prefix}features",
				'type'        => 'post',
				// Post type
				'post_type'   => 'feature_item',
				// Field type, either 'select' or 'select_advanced' (default)
				'field_type'  => 'select_advanced',
				'placeholder' => __( 'اختر ميزه', 'meta-box' ),
				// Query arguments (optional). No settings means get all published posts
				'query_args'  => array(
					'post_status'    => 'publish',
					'posts_per_page' => - 1,
				),
				'clone'   => true,
			),
		)
	);

	return $meta_boxes;
}