<?php

add_action( 'init', 'prefix_team_register_taxonomies' );

function prefix_team_register_taxonomies() {

	/* Register the team Category taxonomy. */

	register_taxonomy(
		'team_category',
		array( 'profile' ),
		array(
			'public'            => true,
			'show_ui'           => true,
			'show_in_nav_menus' => true,
			'show_tagcloud'     => true,
			'show_admin_column' => true,
			'hierarchical'      => true,
			'query_var'         => 'team_category',

			/* Capabilities. */
			// 'capabilities' => array(
			// 	'manage_terms' => 'manage_team',
			// 	'edit_terms'   => 'manage_team',
			// 	'delete_terms' => 'manage_team',
			// 	'assign_terms' => 'edit_team_teams',
			// ),

			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'         => 'team/category',
				'with_front'   => false,
				'hierarchical' => true,
				'ep_mask'      => EP_NONE
			),

			/* Labels used when displaying taxonomy and terms. */
			'labels' => array(
				'name'                       => __( 'team Categories', 'serv-domain' ),
				'singular_name'              => __( 'team Category',   'serv-domain' ),
				'menu_name'                  => __( 'Categories',         'serv-domain' ),
				'name_admin_bar'             => __( 'Category',           'serv-domain' ),
				'search_items'               => __( 'Search Categories',  'serv-domain' ),
				'popular_items'              => __( 'Popular Categories', 'serv-domain' ),
				'all_items'                  => __( 'All Categories',     'serv-domain' ),
				'edit_item'                  => __( 'Edit Category',      'serv-domain' ),
				'view_item'                  => __( 'View Category',      'serv-domain' ),
				'update_item'                => __( 'Update Category',    'serv-domain' ),
				'add_new_item'               => __( 'Add New Category',   'serv-domain' ),
				'new_item_name'              => __( 'New Category Name',  'serv-domain' ),
				'parent_item'                => __( 'Parent Category',    'serv-domain' ),
				'parent_item_colon'          => __( 'Parent Category:',   'serv-domain' ),
				'separate_items_with_commas' => null,
				'add_or_remove_items'        => null,
				'choose_from_most_used'      => null,
				'not_found'                  => null,
			)
		)
	);

	/* Register the team Tag taxonomy. */

	register_taxonomy(
		'team_tag',
		array( 'profile' ),
		array(
			'public'            => true,
			'show_ui'           => true,
			'show_in_nav_menus' => true,
			'show_tagcloud'     => true,
			'show_admin_column' => true,
			'hierarchical'      => false,
			'query_var'         => 'team_tag',

			/* Capabilities. */
			// 'capabilities' => array(
			// 	'manage_terms' => 'manage_team',
			// 	'edit_terms'   => 'manage_team',
			// 	'delete_terms' => 'manage_team',
			// 	'assign_terms' => 'edit_team_teams',
			// ),

			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'         => 'team/tag',
				'with_front'   => false,
				'hierarchical' => false,
				'ep_mask'      => EP_NONE
			),

			/* Labels used when displaying taxonomy and terms. */
			'labels' => array(
				'name'                       => __( 'team Tags',                   'serv-domain' ),
				'singular_name'              => __( 'team Tag',                    'serv-domain' ),
				'menu_name'                  => __( 'Tags',                           'serv-domain' ),
				'name_admin_bar'             => __( 'Tag',                            'serv-domain' ),
				'search_items'               => __( 'Search Tags',                    'serv-domain' ),
				'popular_items'              => __( 'Popular Tags',                   'serv-domain' ),
				'all_items'                  => __( 'All Tags',                       'serv-domain' ),
				'edit_item'                  => __( 'Edit Tag',                       'serv-domain' ),
				'view_item'                  => __( 'View Tag',                       'serv-domain' ),
				'update_item'                => __( 'Update Tag',                     'serv-domain' ),
				'add_new_item'               => __( 'Add New Tag',                    'serv-domain' ),
				'new_item_name'              => __( 'New Tag Name',                   'serv-domain' ),
				'separate_items_with_commas' => __( 'Separate tags with commas',      'serv-domain' ),
				'add_or_remove_items'        => __( 'Add or remove tags',             'serv-domain' ),
				'choose_from_most_used'      => __( 'Choose from the most used tags', 'serv-domain' ),
				'not_found'                  => __( 'No tags found',                  'serv-domain' ),
				'parent_item'                => null,
				'parent_item_colon'          => null,
			)
		)
	);
}
