<?php

// Register Custom Post Type
function portfolio_custom_post_type() {

	$labels = array(
		'name'                => _x( 'المشاريع', 'Post Type General Name', 'text_domain' ),
		'singular_name'       => _x( 'مشروع', 'Post Type Singular Name', 'text_domain' ),
		'menu_name'           => __( 'المشاريع', 'text_domain' ),
		'name_admin_bar'      => __( 'المشاريع', 'text_domain' ),
		'parent_item_colon'   => __( 'Parent Item:', 'text_domain' ),
		'all_items'           => __( 'كل المشاريع', 'text_domain' ),
		'add_new_item'        => __( 'اضف مشروع جديد', 'text_domain' ),
		'add_new'             => __( 'اضف جديد', 'text_domain' ),
		'new_item'            => __( 'مشروع جديد', 'text_domain' ),
		'edit_item'           => __( 'تعديل مشروع', 'text_domain' ),
		'update_item'         => __( 'تحديث مشروع', 'text_domain' ),
		'view_item'           => __( 'عرض المشروع', 'text_domain' ),
		'search_items'        => __( 'بحث المشاريع', 'text_domain' ),
		'not_found'           => __( 'لا يوجد', 'text_domain' ),
		'not_found_in_trash'  => __( 'لا يوجد فى سلة المهملات', 'text_domain' ),
	);
	$args = array(
		'label'               => __( 'project', 'text_domain' ),
		'description'         => __( 'Portfolio Post Type Description', 'text_domain' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'thumbnail', 'comments', ),
		'taxonomies'          => array( 'project_cat' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => 5,
		'menu_icon'           => 'dashicons-images-alt2',
		'show_in_admin_bar'   => true,
		'show_in_nav_menus'   => true,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'project', $args );

}

// Hook into the 'init' action
add_action( 'init', 'portfolio_custom_post_type', 0 );





// Register Custom Taxonomy
function project_custom_taxonomy() {

	$labels = array(
		'name'                       => _x( 'الاقسام', 'Taxonomy General Name', 'text_domain' ),
		'singular_name'              => _x( 'قسم', 'Taxonomy Singular Name', 'text_domain' ),
		'menu_name'                  => __( 'الاقسام', 'text_domain' ),
		'all_items'                  => __( 'كل الأقسام', 'text_domain' ),
		'parent_item'                => __( 'قسم رئيسى', 'text_domain' ),
		'parent_item_colon'          => __( 'قسم رئيسى : ', 'text_domain' ),
		'new_item_name'              => __( 'اضف قسم جديد', 'text_domain' ),
		'add_new_item'               => __( 'اضف قسم جديد', 'text_domain' ),
		'edit_item'                  => __( 'تحرير قسم', 'text_domain' ),
		'update_item'                => __( 'تحديث قسم', 'text_domain' ),
		'view_item'                  => __( 'عرض قسم', 'text_domain' ),
		'separate_items_with_commas' => __( 'Separate items with commas', 'text_domain' ),
		'add_or_remove_items'        => __( 'اضافه وحذف الاقسام', 'text_domain' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'text_domain' ),
		'popular_items'              => __( 'Popular Items', 'text_domain' ),
		'search_items'               => __( 'بحث الأقسام', 'text_domain' ),
		'not_found'                  => __( 'لا يوجد', 'text_domain' ),
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'project_cat', array( 'project' ), $args );

}

// Hook into the 'init' action
add_action( 'init', 'project_custom_taxonomy', 0 );




// Register Custom Post Type
function offers_custom_post_type() {

	$labels = array(
		'name'                => _x( 'العروض', 'Post Type General Name', 'text_domain' ),
		'singular_name'       => _x( 'عرض', 'Post Type Singular Name', 'text_domain' ),
		'menu_name'           => __( 'عروض المواقع', 'text_domain' ),
		'name_admin_bar'      => __( 'العروض', 'text_domain' ),
		'parent_item_colon'   => __( 'Parent Item:', 'text_domain' ),
		'all_items'           => __( 'كل العروض', 'text_domain' ),
		'add_new_item'        => __( 'اضف عرض جديد', 'text_domain' ),
		'add_new'             => __( 'اضف جديد', 'text_domain' ),
		'new_item'            => __( 'عرض جديد', 'text_domain' ),
		'edit_item'           => __( 'تعديل عرض', 'text_domain' ),
		'update_item'         => __( 'تحديث عرض', 'text_domain' ),
		'view_item'           => __( 'مشاهده العرض', 'text_domain' ),
		'search_items'        => __( 'بحث العروض', 'text_domain' ),
		'not_found'           => __( 'لا يوجد', 'text_domain' ),
		'not_found_in_trash'  => __( 'لا يوجد فى سلة المهملات', 'text_domain' ),
	);
	$args = array(
		'label'               => __( 'offer', 'text_domain' ),
		'description'         => __( 'offer Post Type Description', 'text_domain' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'thumbnail', ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => 5,
		'menu_icon'           => 'dashicons-admin-users',
		'show_in_admin_bar'   => true,
		'show_in_nav_menus'   => true,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'offer', $args );

}

// Hook into the 'init' action
add_action( 'init', 'offers_custom_post_type', 0 );



// Register Custom Post Type
function host_offer_custom_post_type() {

	$labels = array(
		'name'                => _x( 'عروض الاستضافه', 'Post Type General Name', 'text_domain' ),
		'singular_name'       => _x( 'عرض استضافه', 'Post Type Singular Name', 'text_domain' ),
		'menu_name'           => __( 'عروض الاستضافه', 'text_domain' ),
		'name_admin_bar'      => __( 'عرض استضافه', 'text_domain' ),
		'parent_item_colon'   => __( '', 'text_domain' ),
		'all_items'           => __( 'كل العروض', 'text_domain' ),
		'add_new_item'        => __( 'اضف جديد', 'text_domain' ),
		'add_new'             => __( 'اضف جديد', 'text_domain' ),
		'new_item'            => __( 'اضف جديد', 'text_domain' ),
		'edit_item'           => __( 'تحرير عرض', 'text_domain' ),
		'update_item'         => __( 'تحديث عرض', 'text_domain' ),
		'view_item'           => __( 'مشاهده العرض', 'text_domain' ),
		'search_items'        => __( 'بحص العروض', 'text_domain' ),
		'not_found'           => __( 'لا يوجد', 'text_domain' ),
		'not_found_in_trash'  => __( 'لا يوجد فى سلة المهملات', 'text_domain' ),
	);
	$args = array(
		'label'               => __( 'host_offer', 'text_domain' ),
		'description'         => __( 'host_offer Post Type Description', 'text_domain' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => 5,
		'menu_icon'           => 'dashicons-building',
		'show_in_admin_bar'   => false,
		'show_in_nav_menus'   => false,
		'can_export'          => true,
		'has_archive'         => false,
		'exclude_from_search' => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'host_offer', $args );

}

// Hook into the 'init' action
add_action( 'init', 'host_offer_custom_post_type', 0 );




// Register Custom Post Type
function plans_custom_post_type() {

	$labels = array(
		'name'                => _x( 'خطط', 'Post Type General Name', 'text_domain' ),
		'singular_name'       => _x( 'خطه', 'Post Type Singular Name', 'text_domain' ),
		'menu_name'           => __( 'خطط دعم وارشفه', 'text_domain' ),
		'name_admin_bar'      => __( 'خطط دعم وارشفه', 'text_domain' ),
		'parent_item_colon'   => __( '', 'text_domain' ),
		'all_items'           => __( 'كل الخطط', 'text_domain' ),
		'add_new_item'        => __( 'اضف خطه جديده', 'text_domain' ),
		'add_new'             => __( 'اضف جديد', 'text_domain' ),
		'new_item'            => __( 'خطه جديده', 'text_domain' ),
		'edit_item'           => __( 'تعديل خطه', 'text_domain' ),
		'update_item'         => __( 'تحديث خطه', 'text_domain' ),
		'view_item'           => __( 'مشاهده خطه', 'text_domain' ),
		'search_items'        => __( 'بحث الخطط', 'text_domain' ),
		'not_found'           => __( 'لا يوجد', 'text_domain' ),
		'not_found_in_trash'  => __( 'لا يوجد فى سلة المحذوفات', 'text_domain' ),
	);
	$args = array(
		'label'               => __( 'plan', 'text_domain' ),
		'description'         => __( 'Plan Description', 'text_domain' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', ),
		'hierarchical'        => false,
		'public'              => false,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => 5,
		'menu_icon'           => 'dashicons-admin-appearance',
		'show_in_admin_bar'   => false,
		'show_in_nav_menus'   => false,
		'can_export'          => true,
		'has_archive'         => false,
		'exclude_from_search' => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'plan', $args );

}

// Hook into the 'init' action
add_action( 'init', 'plans_custom_post_type', 0 );




// Register Custom Post Type
function team_custom_post_type() {

	$labels = array(
		'name'                => _x( 'الاشخاص', 'Post Type General Name', 'text_domain' ),
		'singular_name'       => _x( 'شخص', 'Post Type Singular Name', 'text_domain' ),
		'menu_name'           => __( 'فريق العمل', 'text_domain' ),
		'name_admin_bar'      => __( 'فريق العمل', 'text_domain' ),
		'parent_item_colon'   => __( 'Parent Item:', 'text_domain' ),
		'all_items'           => __( 'كل الفريق', 'text_domain' ),
		'add_new_item'        => __( 'اضف شخص جديد', 'text_domain' ),
		'add_new'             => __( 'اضف جديد', 'text_domain' ),
		'new_item'            => __( 'مشروع جديد', 'text_domain' ),
		'edit_item'           => __( 'تعديل فرد', 'text_domain' ),
		'update_item'         => __( 'تحديث فرد', 'text_domain' ),
		'view_item'           => __( 'عرض الفرد', 'text_domain' ),
		'search_items'        => __( 'بحث الفريق', 'text_domain' ),
		'not_found'           => __( 'لا يوجد', 'text_domain' ),
		'not_found_in_trash'  => __( 'لا يوجد فى سلة المهملات', 'text_domain' ),
	);
	$args = array(
		'label'               => __( 'profile', 'text_domain' ),
		'description'         => __( 'profile Post Type Description', 'text_domain' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'thumbnail', ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => 5,
		'menu_icon'           => 'dashicons-admin-users',
		'show_in_admin_bar'   => true,
		'show_in_nav_menus'   => true,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'profile', $args );

}

// Hook into the 'init' action
add_action( 'init', 'team_custom_post_type', 0 );




// Register Custom Post Type
function slider_custom_post_type() {

	$labels = array(
		'name'                => _x( 'الشرائح', 'Post Type General Name', 'text_domain' ),
		'singular_name'       => _x( 'شريحه', 'Post Type Singular Name', 'text_domain' ),
		'menu_name'           => __( 'السلايدر', 'text_domain' ),
		'name_admin_bar'      => __( 'السلايدر', 'text_domain' ),
		'parent_item_colon'   => __( 'Parent Item:', 'text_domain' ),
		'all_items'           => __( 'كل الشرائح', 'text_domain' ),
		'add_new_item'        => __( 'اضف شريحه جديده', 'text_domain' ),
		'add_new'             => __( 'اضف جديد', 'text_domain' ),
		'new_item'            => __( 'عرض جديد', 'text_domain' ),
		'edit_item'           => __( 'تعديل شريحه', 'text_domain' ),
		'update_item'         => __( 'تحديث شريحه', 'text_domain' ),
		'view_item'           => __( 'مشاهده الشريحه', 'text_domain' ),
		'search_items'        => __( 'بحث الشرائح', 'text_domain' ),
		'not_found'           => __( 'لا يوجد', 'text_domain' ),
		'not_found_in_trash'  => __( 'لا يوجد فى سلة المهملات', 'text_domain' ),
	);
	$args = array(
		'label'               => __( 'slider', 'text_domain' ),
		'description'         => __( 'slider Post Type Description', 'text_domain' ),
		'labels'              => $labels,
		'supports'            => array( 'title', '', 'thumbnail', ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => 5,
		'menu_icon'           => 'dashicons-images-alt2',
		'show_in_admin_bar'   => false,
		'show_in_nav_menus'   => false,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'slider', $args );

}

// Hook into the 'init' action
add_action( 'init', 'slider_custom_post_type', 0 );











add_filter('manage_posts_columns', 'posts_columns', 5);
add_action('manage_posts_custom_column', 'posts_custom_columns', 5, 2);

function posts_columns($defaults){
    $defaults['riv_post_thumbs'] = __('الصوره');
    return $defaults;
}

function posts_custom_columns($column_name, $id){
        if($column_name === 'riv_post_thumbs'){
        echo the_post_thumbnail( array(50 , 50) );
    }
}