<?php
/*-----------------------------------------------------------------------------------*/
# return list of all countries
/*-----------------------------------------------------------------------------------*/
function get_country_list(){
	$country_list  = array();

    $args = array (
        'post_type'              => 'country',
        'posts_per_page'         => '-1',
    );

    // The Query
    $query = new WP_Query( $args );
    if ( $query->have_posts() ) :
        while ( $query->have_posts() ) : $query->the_post();

    		$country_list[get_the_ID()]['id'] 			= get_the_ID();
    		$country_list[get_the_ID()]['name'] 		= get_the_title();
    		$country_list[get_the_ID()]['url'] 			= get_the_permalink();
    		$country_list[get_the_ID()]['thumbid'] 		= get_post_thumbnail_id();
    		$country_list[get_the_ID()]['img'] 			= get_the_post_thumbnail(get_the_ID() , 'thumbnail' );
    		$country_list[get_the_ID()]['src'] 			= wp_get_attachment_image_src( get_post_thumbnail_id() , 'full', false );
    		$country_list[get_the_ID()]['hasflag'] 		= (has_post_thumbnail())?true:false;

    	endwhile;
    endif;

    return $country_list;
}


/*-----------------------------------------------------------------------------------*/
# return contry cities
/*-----------------------------------------------------------------------------------*/
function get_city_list(){
	$city_list  = array();

    $args = array (
        'post_type'              => 'city',
        'posts_per_page'         => '-1',
    );

    // The Query
    $query = new WP_Query( $args );
    if ( $query->have_posts() ) :
        while ( $query->have_posts() ) : $query->the_post();

    		$city_list[get_the_ID()]['id'] 				= get_the_ID();
    		$city_list[get_the_ID()]['name'] 			= get_the_title();
    		$city_list[get_the_ID()]['url'] 			= get_the_permalink();
    		$city_list[get_the_ID()]['thumbid'] 		= get_post_thumbnail_id();
    		$city_list[get_the_ID()]['img'] 			= get_the_post_thumbnail(get_the_ID() , 'thumbnail' );
    		$city_list[get_the_ID()]['src'] 			= wp_get_attachment_image_src( get_post_thumbnail_id() , 'full', false );
    		$city_list[get_the_ID()]['hasflag'] 		= (has_post_thumbnail())?true:false;

    	endwhile;
    endif;

    return $city_list;
}


/*-----------------------------------------------------------------------------------*/
# return contry cities
/*-----------------------------------------------------------------------------------*/
function get_country_cities($country_id){
	$country_list  = array();
}




/*-----------------------------------------------------------------------------------*/
# return contry acadimeis
/*-----------------------------------------------------------------------------------*/
function get_country_academy_list($country_id){
	$country_academy_list  = array();
}


/*-----------------------------------------------------------------------------------*/
# return list of all academies
/*-----------------------------------------------------------------------------------*/

function get_academy_list(){
	$academy_list  = array();

    $args = array (
        'post_type'              => 'academy',
        'posts_per_page'         => '-1',
    );

    // The Query
    $query = new WP_Query( $args );
    if ( $query->have_posts() ) :
        while ( $query->have_posts() ) : $query->the_post();

    		$academy_list[get_the_ID()]['id'] 			= get_the_ID();
    		$academy_list[get_the_ID()]['name'] 		= get_the_title();
    		$academy_list[get_the_ID()]['url'] 			= get_the_permalink();
    		$academy_list[get_the_ID()]['thumbid'] 		= get_post_thumbnail_id();
    		$academy_list[get_the_ID()]['img'] 			= get_the_post_thumbnail(get_the_ID() , array(90 , 70) );
    		$academy_list[get_the_ID()]['src'] 			= wp_get_attachment_image_src( get_post_thumbnail_id() , 'full', false );
    		$academy_list[get_the_ID()]['hasflag'] 		= (has_post_thumbnail())?true:false;

    	endwhile;
    endif;

    return $academy_list;
}


/*-----------------------------------------------------------------------------------*/
# exchange rates
/*-----------------------------------------------------------------------------------*/
// function do_my_exchange_rates()
// {
// 		$lang = ( is_rtl() ) ? "ar":"en";

// 		$key = "exchange_rates_".$lang;

// 		return get_transient( $key );

// }


function do_my_exchange_rates()
{
	$lang = ( is_rtl() ) ? "ar":"en";

	$key = "exchange_rates_".$lang;


	$main_currency = 'SAR';
	$array = array(
		array('label'=>'USD' , 'Name'=>__('دولار', 'ta3limi')),
		array('label'=>'EUR' , 'Name'=>__('يورو', 'ta3limi')),
		array('label'=>'JPY' , 'Name'=>__('ين ياباني', 'ta3limi')),
		array('label'=>'GBP' , 'Name'=>__('جنيه إسترليني', 'ta3limi')),
		array('label'=>'CHF' , 'Name'=>__('فرنك سويسري', 'ta3limi')),
	);
	$return_content = "";


	if ( false === get_transient( $key ) ) 
	{
		
		foreach ($array as $key => $value) 
		{
			$req = 'http://rate-exchange.appspot.com/currency?from='.$main_currency.'&to='.$value['label'];
			$contents = file_get_contents($req);
			$contents = json_decode($contents);
			$return_content .= __('الريال مقابل ' , 'ta3limi'). $value['Name']. __(' : المعدل : ' , 'ta3limi') .$contents->rate." - ";
		}

		// Put the results in a transient. Expire after 12 hours.
		set_transient( $key , $return_content, 3 * HOUR_IN_SECONDS );
	}
	else
	{
		$return_content = get_transient( $key );
	}

	return $return_content;
}