<?php

add_action( 'init', 'prefix_service_register_post_types' );

function prefix_service_register_post_types() {

	/* Register the service  post type. */

	register_post_type(
		'service',
		array(
			'description'         => '',
			'public'              => true,
			'publicly_queryable'  => true,
			'show_in_nav_menus'   => true,
			'show_in_admin_bar'   => true,
			'exclude_from_search' => false,
			'show_ui'             => true,
			'show_in_menu'        => true,
			'menu_position'       => 20,
			'menu_icon'           => 'dashicons-portfolio',
			'can_export'          => true,
			'delete_with_user'    => false,
			'hierarchical'        => true,
			'has_archive'         => 'service',
			'query_var'           => 'service',
			// 'capability_type'     => 'service',
			// 'map_meta_cap'        => true,

			/* Capabilities. */
			// 'capabilities' => array(

			// 	// meta caps (don't assign these to roles)
			// 	'edit_post'              => 'edit_service',
			// 	'read_post'              => 'read_service',
			// 	'delete_post'            => 'delete_service',

			// 	// primitive/meta caps
			// 	'create_posts'           => 'create_services',

			// 	// primitive caps used outside of map_meta_cap()
			// 	'edit_posts'             => 'edit_services',
			// 	'edit_others_posts'      => 'manage_service',
			// 	'publish_posts'          => 'manage_service',
			// 	'read_private_posts'     => 'read',

			// 	// primitive caps used inside of map_meta_cap()
			// 	'read'                   => 'read',
			// 	'delete_posts'           => 'manage_service',
			// 	'delete_private_posts'   => 'manage_service',
			// 	'delete_published_posts' => 'manage_service',
			// 	'delete_others_posts'    => 'manage_service',
			// 	'edit_private_posts'     => 'edit_services',
			// 	'edit_published_posts'   => 'edit_services'
			// ),

			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'       => 'service',
				'with_front' => false,
				'pages'      => true,
				'feeds'      => true,
				'ep_mask'    => EP_PERMALINK,
			),

			/* What features the post type supports. */
			'supports' => array(
				'title',
				'editor',
				// 'excerpt',
				// 'author',
				'thumbnail'
			),

			/* Labels used when displaying the posts. */
			'labels' => array(
				'name'               => __( 'الخدمات',                   'serv-domain' ),
				'singular_name'      => __( 'خدمه',                    	'serv-domain' ),
				'menu_name'          => __( 'الخدمات ',                   'serv-domain' ),
				'name_admin_bar'     => __( 'الخدمات  ',          		'serv-domain' ),
				'add_new'            => __( 'اضافه جديد',                    	'serv-domain' ),
				'add_new_item'       => __( 'اضافه جديد',            			'serv-domain' ),
				'edit_item'          => __( 'تعديل',               			'serv-domain' ),
				'new_item'           => __( 'جديد',                			'serv-domain' ),
				'view_item'          => __( 'عرض',               			'serv-domain' ),
				'search_items'       => __( 'بحث',            				'serv-domain' ),
				'not_found'          => __( 'لا يوجد',          				'serv-domain' ),
				'not_found_in_trash' => __( 'لا يوجد فى سلة المحذوفات', 			'serv-domain' ),
				'all_items'          => __( 'الخدمات ',                   'serv-domain' ),
			)
		)
	);
}
