<?php

add_action( 'init', 'prefix_testimonials_register_post_types' );

function prefix_testimonials_register_post_types() {

	/* Register the Testimonial post type. */

	register_post_type(
		'testimonial',
		array(
			'description'         => '',
			'public'              => false,
			'publicly_queryable'  => true,
			'show_in_nav_menus'   => false,
			'show_in_admin_bar'   => true,
			'exclude_from_search' => true,
			'show_ui'             => true,
			'show_in_menu'        => true,
			'menu_position'       => 20,
			'menu_icon'           => 'dashicons-testimonial',
			'can_export'          => true,
			'delete_with_user'    => false,
			'hierarchical'        => false,
			'has_archive'         => 'testimonials',
			'query_var'           => 'testimonial',
			'capability_type'     => 'post',

			/* The rewrite handles the URL structure. */
			'rewrite' => array(
				'slug'       => 'testimonials',
				'with_front' => false,
				'pages'      => true,
				'feeds'      => true,
				'ep_mask'    => EP_PERMALINK,
			),

			/* What features the post type supports. */
			'supports' => array(
				'title',
				'editor',
				'author',
				'thumbnail'
			),

			/* Labels used when displaying the posts. */
			'labels' => array(
				'name'               => __( 'أرء العملاء',                   'serv-domain' ),
				'singular_name'      => __( 'راى',                    'serv-domain' ),
				'menu_name'          => __( 'اراء العملاء',                   'serv-domain' ),
				'name_admin_bar'     => __( 'أرء العملاء',                    'serv-domain' ),
				'add_new'            => __( 'اضافه جديد',                        'serv-domain' ),
				'add_new_item'       => __( 'اضافه راى جديد',            'serv-domain' ),
				'edit_item'          => __( 'تعديل راى',               'serv-domain' ),
				'new_item'           => __( 'راى جديد',                'serv-domain' ),
				'view_item'          => __( 'عرض راى العميل',               'serv-domain' ),
				'search_items'       => __( 'بحث اراء العملاء',            'serv-domain' ),
				'not_found'          => __( 'لم لتم العثور على اراء',          'serv-domain' ),
				'not_found_in_trash' => __( 'لم لتم العثور على اراء فى المحذوفات', 'serv-domain' ),
				'all_items'          => __( 'كل الأراء',                   'serv-domain' ),
			)
		)
	);
}
